Get one alert
GET
/api/v1/alerts/:idOne alert by inbox_id, the id you see in a webhook payload or a list response.
Request
Path parameters
idstringThe alert's inbox_id.
Response
Returns a JSON object with a data field containing the result.
Response fields
dataobjectThe alert, same shape as the webhook payload.
curl -H "Authorization: Bearer rsp_your_key" \
https://redship.io/api/v1/alerts/c0a8…Success response200
{
"data": {
"event": "comment",
"timestamp": "2026-08-26T09:41:12.481932+00:00",
"inbox_id": "c0a8…",
"id": "nb7x2ka",
"subreddit": "SaaS",
"author": "founder_jane",
"url": "https://www.reddit.com/r/SaaS/comments/…/nb7x2ka/",
"keyword": "stripe webhook",
"keyword_id": "9e0d…",
"relevance_score": null,
"created_utc": 1756201272,
"title": "How do you handle payment failures?",
"selftext": "Parent post text…",
"upvotes": 12,
"replies": 8,
"comment": "We moved off Stripe webhooks to polling because…"
}
}